#include <stdio.h>
#include "testpluginlib.h"

int called(char* arg)
{
   int n = atoi(arg);
   printf("called got '%s', returned %d\n", arg, n);
   return n;
}

PLUGIN(innercall, arg)
{
   int r = 0;
   
   printf("Entered innercall(%s)\n", arg);
   r = called(arg);
   printf("Leaving %d = innercall(%s)\n", r, arg);
   return r;
}
